<?php

/**
 * Fancy Animations - The magic your website needs
 *
 * @wordpress-plugin
 * Plugin Name:         Fancy Animations
 * Plugin URI:          https://fancybricks.co/animations
 * Description:         The magic your website needs
 * Version:             1.2.2
 * Requires at least:   6.0
 * Requires PHP:        7.4
 * Author:              Fancy Bricks
 * Author URI:          https://fancybricks.co/
 * Text Domain:         fancy-animations
 * Domain Path:         /languages
 *
 * @package             Fancy Bricks
 * @author              Joshua Gugun Siagian <suabahasa@gmail.com>
 *                      John Diaz <john@fancybricks.co>
 */
declare (strict_types=1);
namespace _FancyAnimations;

use Fancy\Animations\Plugin;
use Fancy\Animations\Utils\Requirement;
use _FancyAnimations\FANCY_ANIMATIONS;
\defined('ABSPATH') || exit;
if (\file_exists(__DIR__ . '/vendor/scoper-autoload.php')) {
    require_once __DIR__ . '/vendor/scoper-autoload.php';
} else {
    require_once __DIR__ . '/vendor/autoload.php';
}
$requirement = new Requirement();
$requirement->php('7.4')->wp('6.0')->theme('bricks', '1.0');
if ($requirement->met()) {
    Plugin::get_instance()->boot();
} else {
    \add_action('admin_notices', fn() => $requirement->printNotice(), 0, 0);
}
function fancy_animations_uninstall_plugin()
{
    Plugin::get_instance()->uninstall_plugin();
}
\register_uninstall_hook(FANCY_ANIMATIONS::FILE, 'fancy_animations_uninstall_plugin');
